/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: NewAppPage.java,v 1.2 2000/01/29 07:02:33 markd Exp $
 */

package org.enhydra.devsys.wizard.newapp;

import org.enhydra.devsys.wizard.common.WizardPage;
import javax.swing.*;
import java.awt.*;
import java.beans.*;

/**
 * Class declaration
 * 
 * 
 * @author
 * @version %I%, %G%
 */
public class NewAppPage extends WizardPage implements NewAppProperties {
    private NewAppPanel panel = null;

    /**
     * Constructor declaration
     * 
     * 
     * @param appName
     * @param rootDir
     * @param enhydraDir
     * 
     * @see
     */
    public NewAppPage() {
	try {
	    jbInit();
	    pmInit();
	} catch (Exception e) {
	    e.printStackTrace();
	} 
    }

    /**
     * Method declaration
     * 
     * 
     * @throws Exception
     * 
     * @see
     */
    private void jbInit() throws Exception {
	panel = (NewAppPanel) Beans.instantiate(getClass().getClassLoader(), 
						NewAppPanel.class.getName());

	this.add(panel);
    } 

    /**
     * Method declaration
     * 
     * 
     * @param appName
     * @param rootDir
     * @param enhydraDir
     * 
     * @see
     */
    private void pmInit() {
	this.setInstructions("<INSTRUCTIONS>");
	this.setPageTitle("<PAGE TITLE>");
    } 

    /**
     * Method declaration
     * 
     * 
     * @return
     * 
     * @see
     */
    public String getAppName() {
	return panel.getAppName();
    } 

    /**
     * Method declaration
     * 
     * 
     * @param n
     * 
     * @see
     */
    public void setAppName(String n) {
	panel.setAppName(n);
    } 

    /**
     * Method declaration
     * 
     * 
     * @return
     * 
     * @see
     */
    public String getRootDir() {
	return panel.getRootDir();
    } 

    /**
     * Method declaration
     * 
     * 
     * @param d
     * 
     * @see
     */
    public void setRootDir(String d) {
	panel.setRootDir(d);
    } 

    /**
     * Method declaration
     * 
     * 
     * @return
     * 
     * @see
     */
    public String getPackageName() {
	return panel.getPackageName();
    } 

    /**
     * Method declaration
     * 
     * 
     * @param n
     * 
     * @see
     */
    public void setPackageName(String n) {
	panel.setPackageName(n);
    } 

    /**
     * Method declaration
     * 
     * 
     * @return
     * 
     * @see
     */
    public String getEnhydraDir() {
	return panel.getEnhydraDir();
    } 

    /**
     * Method declaration
     * 
     * 
     * @param s
     * 
     * @see
     */
    public void setEnhydraDir(String s) {
	panel.setEnhydraDir(s);
    } 

}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

