/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: PropertyException.java,v 1.3 2000/03/02 06:54:24 pmahar Exp $
 */

package org.enhydra.devsys.wizard.newapp;

public class PropertyException extends Exception {
    public static final int BAD_ENHYDRA_DIR  = 1;
    public static final int BAD_PACKAGE_NAME = 2;
    public static final int BAD_APP_NAME     = 3;


    private int type = 0;

    public PropertyException(int t) {
      type = t;
    }

    public int getType() {
      return type;
    }
    public String getDialogMessage() {
      String m = "New Application Property Exception";
      switch (getType()) {
        case BAD_ENHYDRA_DIR:
           m = "Invalid Enhydra home directory. \n\n" +
             "The Enhydra home directory should contain the\n" +
             "lib subdirectory where the enhydra.jar resides.";
           break;
        case BAD_PACKAGE_NAME:
           m = "Invalid package name. \n\n" +
           "The package name must be a valid Java package identifier.";
           break;
        case BAD_APP_NAME:
           m = "Invalid application name. \n\n" +
             "The application must be a valid directory name \n" +
             "consisting of only letters and digits.";
           break;


      }
      return m;
    }
}
