
/**
 * Title:        JBuilder Tools for Enhydra<p>
 * Description:  JBuilder 3 Add in tools for working with Enhydra.<p>
 * Copyright:    Copyright (c) 1999<p>
 * Company:      Lutris<p>
 * @author Paul Mahar
 * @version
 */
package org.enhydra.ide.jbuilder.common;

import java.io.*;
import java.util.Random;

public class FileUtil {

  public static void copyFile(File source, File dest)
      throws java.io.FileNotFoundException,
             java.io.IOException {

     File parentFile = new File(dest.getParent());
     parentFile.mkdirs();


     BufferedInputStream  in  = new BufferedInputStream(new FileInputStream(source));
     BufferedOutputStream out = new BufferedOutputStream(new FileOutputStream(dest));

     int cursor = in.read();
     while (cursor != -1) {
        out.write(cursor);
        cursor = in.read();
     }
     in.close();
     out.flush();
     out.close();
  }

  // JDK 1.1 kludge for Java 2: File.createTempFile(prefix, suffix, directory);
  public static File createTempFile(String prefix, String suffix, File directory) {
     Random rand = new Random(System.currentTimeMillis() + 100);
     String filename = prefix + rand.nextInt() + suffix;
     File tempFile = new File(directory, filename);
     while (tempFile.exists()) {
       filename = prefix + rand.nextInt() + suffix;
       tempFile = new File(directory, filename);
     }
     return tempFile;
  }


}