/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: ConfPropertyPanel.java,v 1.1.2.5 2000/04/06 02:53:37 pmahar Exp $
 */

package org.enhydra.ide.jbuilder.common.wizard.conf;

import org.enhydra.ide.jbuilder.common.wizard.AbstractPropertyPanel;
import org.enhydra.devsys.swing.GridBagConstraintsX;
import org.enhydra.ide.jbuilder.common.node.OtterProject;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.beans.*;
import java.awt.event.*;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class ConfPropertyPanel extends AbstractPropertyPanel {
    private boolean active = false;
    private BorderLayout layoutMain;
    private JTabbedPane tabPane;
    private ConfNodePropertyPanel confNodePropertyPanel;
    private StartupPropertyPanel  startupPropertyPanel;
    private LocalButtonListener buttonListener = null;
    private OtterProject	project = null;
    private JCheckBox checkMake;

    /**
     * Constructor declaration
     *
     *
     * @see
     */
    public ConfPropertyPanel() {
	try {
	    jbInit();
	    pmInit();
	} catch (Exception e) {
	    e.printStackTrace();
	}
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public OtterProject getProject() {
	return project;
    }

    /**
     * Method declaration
     *
     *
     * @param p
     *
     * @see
     */
    public void setProject(OtterProject p) {
	project = p;
        confNodePropertyPanel.setNode(project);
        startupPropertyPanel.setNode(project);
    }

    public void readProperties() {
      if (project.isOpenBuild()) {
        // primetime
        checkMake.setEnabled(true);
        checkMake.setSelected(project.isConfMake());
      } else {
        // Win32 and JDeveloper
        checkMake.setEnabled(false);
        checkMake.setSelected(false);

      }
      confNodePropertyPanel.readProperties();
      startupPropertyPanel.readProperties();
    }

    public void writeProperties() {
      if (project.isOpenBuild()) {
         // primetime
        project.setConfMake(checkMake.isSelected());
      } else {
        project.setConfMake(false);
      }
      confNodePropertyPanel.writeProperties();
      startupPropertyPanel.writeProperties();
    }


    /**
     * Method declaration
     *
     *
     * @see
     */
    private void pmInit() {
    }

    /**
     * Method declaration
     *
     *
     * @throws Exception
     *
     * @see
     */
    private void jbInit() throws Exception {
        layoutMain = (BorderLayout) Beans.instantiate(getClass().getClassLoader(), BorderLayout.class.getName());
        checkMake = (JCheckBox) Beans.instantiate(getClass().getClassLoader(), JCheckBox.class.getName());

	confNodePropertyPanel =
	    (ConfNodePropertyPanel) Beans.instantiate(getClass().getClassLoader(),
				       ConfNodePropertyPanel.class.getName());
	startupPropertyPanel =
	    (StartupPropertyPanel) Beans.instantiate(getClass().getClassLoader(),
				       StartupPropertyPanel.class.getName());

    tabPane = (JTabbedPane) Beans.instantiate(getClass().getClassLoader(), JTabbedPane.class.getName());
    tabPane.add(confNodePropertyPanel, "Make");
    tabPane.add(startupPropertyPanel, "Startup");
    checkMake.setEnabled(false);
    checkMake.setText("Configure during Project Make/Rebuild");

    this.setLayout(layoutMain);
    this.add(checkMake, BorderLayout.NORTH);
    this.add(tabPane, BorderLayout.CENTER);
    }



    /**
     * Class declaration
     *
     *
     * @author
     * @version %I%, %G%
     */
    class LocalButtonListener implements ActionListener {

	/**
	 * Method declaration
	 *
	 *
	 * @param event
	 *
	 * @see
	 */
	public void actionPerformed(ActionEvent event) {
	    Object source = event.getSource();
	}

    }


}
