/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: PrimeTextFileNode.java,v 1.2.2.1 2000/04/08 00:49:30 pmahar Exp $
 */

package org.enhydra.ide.jbuilder.primetime.node;

import org.enhydra.ide.jbuilder.common.node.OtterTextFileNode;
import org.enhydra.ide.jbuilder.common.node.OtterProject;
import org.enhydra.ide.jbuilder.common.node.OtterNode;
import com.borland.primetime.vfs.Url;
import com.borland.primetime.node.DuplicateNodeException;
import com.borland.primetime.node.Node;
import com.borland.primetime.node.Project;
import com.borland.primetime.node.TextFileNode;
import java.io.File;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class PrimeTextFileNode extends PrimeNode
    implements OtterTextFileNode {

    /**
     * Constructor declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @see
     */
    public PrimeTextFileNode(OtterProject otterProject, OtterNode otterNode,
			     String file) {
	Project      nativeProject = null;
	Node	     nativeNode = null;
	TextFileNode nativeTextFile = null;

	if (otterProject.getNativeProject() instanceof Project) {
	    nativeProject = (Project) otterProject.getNativeProject();
	}

	if (otterNode.getNativeNode() instanceof Node) {
	    nativeNode = (Node) otterNode.getNativeNode();
	}

	if (nativeProject != null && nativeNode != null) {
	    try {
		nativeTextFile = new TextFileNode(nativeProject, nativeNode,
						  new Url(new File(file)));
	    } catch (DuplicateNodeException e) {
                // Ignore if already in project.
	    }
	}

	setNativeNode(nativeTextFile);
    }

}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

