/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: ConfNodePropertyPage.java,v 1.1.2.6 2000/03/26 21:33:41 pmahar Exp $
 */
package org.enhydra.ide.jbuilder.primetime.properties;

import org.enhydra.ide.jbuilder.common.node.OtterConfFileNode;
import org.enhydra.ide.jbuilder.common.wizard.conf.ConfNodePropertyPanel;
import org.enhydra.ide.jbuilder.primetime.node.PrimeConfFileNode;
import org.enhydra.devsys.swing.SwingUtil;
import com.borland.primetime.properties.*;
import com.borland.primetime.help.HelpTopic;
import com.borland.primetime.node.FileNode;
import com.borland.primetime.node.TextFileNode;
import com.borland.primetime.help.ZipHelpTopic;

import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class ConfNodePropertyPage extends PropertyPage {
  private ConfNodePropertyPanel nodePanel = new ConfNodePropertyPanel();
  private BorderLayout layoutMain  = new BorderLayout();
  private final String HELP_TOPIC = "file:../jb-kelp/doc/developer/jb-kelp.html#confnode";

  public ConfNodePropertyPage(Object topic) {
    OtterConfFileNode otterNode;
    if (topic instanceof FileNode) {
       otterNode = new PrimeConfFileNode((TextFileNode)topic);
      try {
        nodePanel.setNode(otterNode);
        jbInit();
      }
      catch(Exception e) {
        e.printStackTrace();
      }
    }
  }

  public void readProperties() {
    nodePanel.readProperties();
  }

  public HelpTopic getHelpTopic() {
    ZipHelpTopic t = new ZipHelpTopic( null, HELP_TOPIC );
    return t;
  }

  public void writeProperties() {
    nodePanel.writeProperties();
  }

  public ConfNodePropertyPage() {
    try {
      jbInit();
    } catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    this.setLayout(layoutMain);
    this.add(nodePanel, BorderLayout.CENTER);
  }

}