/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: WinTextFileNode.java,v 1.3 2000/02/03 10:04:24 markd Exp $
 */

package org.enhydra.ide.jbuilder.win32.node;

import org.enhydra.ide.jbuilder.common.node.OtterTextFileNode;
import org.enhydra.ide.jbuilder.common.node.OtterNode;
import org.enhydra.ide.jbuilder.common.node.OtterProject;
import com.borland.jbuilder.addin.Project;
import com.borland.jbuilder.addin.Node;
import com.borland.jbuilder.addin.Url;
import java.io.File;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class WinTextFileNode extends WinNode implements OtterTextFileNode {

    /**
     * Constructor declaration
     *
     *
     * @param otterProject
     * @param node
     * @param file
     *
     * @see
     */
    public WinTextFileNode(OtterProject otterProject, OtterNode node,
			   String file) {
	Node    nativeNode = null;
	Project nativeProject = null;
	Url     url = null;

	if (otterProject.getNativeProject() instanceof Project) {
	    nativeProject = (Project) otterProject.getNativeProject();
	}

	url = new Url(file);
	nativeNode = nativeProject.createNode(url, true);

	nativeProject.addNode(nativeNode);
	setNativeNode(nativeNode);
    }

}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

